import "./News.scss";
import Typography from "@/shared/ui/components/Typography/Typography";
import NewsList from "@/widgets/NewsList/NewsList";
import { Metadata } from "next";

export const metadata: Metadata = {
  title: "KG ROAD | Новости",
  description:
    "Страница новостей Kyrgyzstan Transperency International",
};

const News = ({
  searchParams,
}: {
  searchParams: {
    ["страница-новостей"]: string;
  };
}) => {
  return (
    <div className="news page-padding">
      <Typography element="h2">Новости</Typography>

      <NewsList searchParams={searchParams} />
    </div>
  );
};

export default News;
